summaryrefslogtreecommitdiffstats
path: root/base/deploy/scripts/operations
diff options
context:
space:
mode:
Diffstat (limited to 'base/deploy/scripts/operations')
-rw-r--r--base/deploy/scripts/operations8
1 files changed, 7 insertions, 1 deletions
diff --git a/base/deploy/scripts/operations b/base/deploy/scripts/operations
index be5053b..0a768fb 100644
--- a/base/deploy/scripts/operations
+++ b/base/deploy/scripts/operations
@@ -943,9 +943,15 @@ verify_symlinks()
# Dogtag 10 Symbolic Link Target Variables
java_dir="/usr/share/java"
pki_systemd_service="pki-${PKI_WEB_SERVER_TYPE}d@.service"
- resteasy_java_dir="/usr/share/java/resteasy"
systemd_dir="/lib/systemd/system"
+ grep "Red Hat Enterprise Linux" /etc/redhat-release
+ if [ $? == 0 ]; then
+ resteasy_java_dir="/usr/share/java/resteasy-base"
+ else
+ resteasy_java_dir="/usr/share/java/resteasy"
+ fi
+
# Dogtag 10 Symbolic Link Variables
pki_common_jar_dir="${PKI_INSTANCE_PATH}/common/lib"
pki_registry_dir="/etc/sysconfig/pki/${PKI_WEB_SERVER_TYPE}/${PKI_INSTANCE_ID}"